
# Running Engine with Docker

Docker provides a simple way to get your engine with all dependencies running.

Here you can find the official AURA Engine Docker images:

https://hub.docker.com/repository/docker/autoradio/engine

> Note: The Engine Docker image is in *POC* state and waiting to be fully implemented.
It's not yet ready to be offically used. If you want to try AURA Engine meanwhile
try the [Standard Installation](docs/installation-development).

<!-- TOC -->

- [Running Engine with Docker](#running-engine-with-docker)
    - [Start an image](#start-an-image)
    - [Configure an image](#configure-an-image)
    - [Making Docker Releases](#making-docker-releases)
        - [Build your own, local Docker image](#build-your-own-local-docker-image)
        - [Releasing a new version to DockerHub](#releasing-a-new-version-to-dockerhub)
    - [Read more](#read-more)

<!-- /TOC -->

## Start an image

*To be extended ...*

## Configure an image

*To be extended ...*

## Making Docker Releases

This section is only relevant if you are an Engine Developer.

### Build your own, local Docker image

```shell
./run.sh docker:build
```

### Releasing a new version to DockerHub

```shell
./run.sh docker:push
```

## Read more

- [Overview](/README.md)
- [Installation for Development](installation-development.md)
- [Installation for Production](installation-production.md)
- [Running with Docker](running-docker.md)
- [Setup the Audio Store](docs/setup-audio-store.md)
- [Developer Guide](developer-guide.md)
- [Engine Features](engine-features.md)
- [Frequently Asked Questions (FAQ)](docs/frequently-asked-questions.md)